Pure Motion Capture Help Index

Capture

Tell Me About Capture

What video capturing is. What Pure Motion Capture does.

Requirements For Video Capture

Have I got a suitable system for video capture?

Getting Started With Pure Motion Capture

  • Steps to capturing some analogue video
  • Steps to capturing from DV

Using Pure Motion Capture

  • Analogue mode
  • Digital mode

Video Capture Details

  • Analogue terms explained. What is resolution, frame rate, compression, 2GB file limit etc... ?
  • DV terms explained. What is DV, 2GB file limit etc... ?

Optimising Your System

How do get the best out of your system.

Troubleshooting

Dropping frames? Running out of hard disk space? Poor quality video?

Capture On The Web

Read the latest on Capture. Download our free software. Read reviews and tutorials on digital video editing.

Table Of Contents

List of all the sections in the Capture documentation.

Glossary

Glossary of terms used in this document.

License Agreement

Legal stuff and end user agreement.


What is video capture?

Capture

What Is Pure Motion Capture?

Pure Motion Capture is a program which allows you to capture video and audio using your analogue capture card or DV (Digital Video) Firewire card.

What Is Video Capture?

Video capture is the process of converting moving video from a source to a movie file on your PC. Capturing turns the data from an analogue or digital source such as a video camera or VCR into a digital form which is stored in a file on your PCs hard disk. A capture card is required to provide the interface between the PC and video source.

Once you have captured some video to a file (usually in the form of a AVI file) you can:

  • Play the file using a player such as Windows media player
  • Edit the file to trim it, apply an effect or combine other movie files using a video editing program
  • Write the file out to CD or Zip disk
  • Publish the file on the internet

The process of video capture is outlined in the figure below:

Analogue Or Digital?

All files stored on computers are stored as digital data. A movie file on your PC's hard disk is therefore always stored as digital data. Until recently, all consumer video source devices such as video cameras and VCRs were analogue. Recently however, affordable digital video cameras have become commonplace. Digital camcorders generally offer a better quality picture over their analogue counterparts but the reader should be aware that the process of capturing from a digital source is different from capturing from an analogue source.

Analogue Capture Process

When capturing from an analogue source, an analogue capture card is used which connects to the source via one of the following cables:

  • Composite video cable
  • S-video cable
  • UHF (coaxial aerial) cable

Using the capture software, the user has a choice of picture resolution, frame rate, colour depth and compression (see here for more details of these terms). These options allow the user to suit the quality of the captured video to their particular application and minimise the disk space required for the movie files.

Note: If you have a digital video camera that has a composite video out connector or a S-video out connector you can still use an analogue capture card in exactly the same way you would use one with an analogue camera.

DV Capture Process

DV capture is achieved by connecting the Firewire or i-Link port on your camcorder to a digital capture card. The connection is made via a Firewire cable, usually supplied with the Firewire card. Because the format of the data transmitted from the source to the capture card is fixed, namely DV format video, the user may have little or no control over the quality of the captured video. DV video is very high quality but has the disadvantage of requiring lots of hard disk space.

Analogue And DV Summary

 | Analogue | DV
Example sources | VCR, TV aerial, Video 8 camcorder, Hi-8 camcorder, VHS-C camcorder | DV camcorder, Digital-8 camcorder
Type of capture card | Analogue | Digital Firewire
Connection type | Composite, S-Video or UHF | Firewire/IEEE1394/i.Link
Image quality | OK to Good | Very good
Hard disk space required for 10 minutes of video | 20Mb up to 1Gb, depending on the exact settings used. | Approximately 2GB.
Advantages | Uses less hard disk space, cheaper hardware, more flexibility when capturing. | Best picture quality.
Disadvantages | Picture quality not as good as digital. Capturing can be problematic. | Requires lots of hard disk space and a powerful machine to perform editing.
Typical uses | Home video, corporate presentations, internet movies. | Semi-professional movies.
Software used to capture | Pure Motion Capture or other program. | Pure Motion Capture or software supplied with the Firewire card (depends on the manufacturer of the card).

A Word About Audio

So far, we have only considered capturing video but what about capturing sound too? Exactly how this is achieved depends on your capture hardware.

If you have a Firewire DV capture card:

The audio information is encoded in the DV format data hence when you capture using a Firewire card, you capture both video and audio simultaneously.

If you have an analogue capture card with build in audio-in sockets:

Here, you will need to connect an audio cable from your source to your capture card.

If you have an analogue capture card without audio-in sockets:

You will need to capture the audio using your sound cards line-in or mic socket. Connect an audio cable from your source to the line-in or mic socket and select the audio source for recording using Windows volume control. Show me how to do this

What Do I Need For Video Capture?

You need to following items to perform capture:

  • A video source such as a camcorder or VCR
  • A PC with suitable large hard disk
  • A capture card
  • Some capture software

For more details on the specification of PC you need see hardware requirements.


Requirements

Capture

Requirements For Video Capture

This page refers to the hardware and software required to perform analogue and DV capture.

Hardware

You will need to following hardware items to perform video capture:

  • A video source such as a VCR, camcorder or TV signal.
  • A PC with suitable speed processor and size suitable hard disk (see below for recommended specifications).
  • A capture card. Suitable analogue cards include TV cards with video capture capability or dedicated video capture cards. A DV capture card will be a Firewire card.
  • To capture sound too: a video capture with audio-in or a sound card (only required for analogue capture).
  • The video and audio cables to connect from your source to capture card.

Minimum recommended PC specification

To perform top quality video capture (768 x 568, at 25 frames per second analogue, any DV):

  • Pentium III 500Mhz or AMD 500Mhz
  • A dedicated video capture card or Firewire card.
  • A 15Gb, 7200rpm hard disk second hard disk (separate to your operating system hard disk). SCSI would be best, but IDE should be suitable.
  • 128 Mb of RAM

To perform good quality video capture (384 x 284, at 25 frames per second, any DV):

  • 333 MHz Pentium II processor
  • A general purpose TV / capture card or Firewire card.
  • Several megabytes of free hard disk space (again, preferably on a separate disk to the operating system). IDE hard disks are suitable.
  • 64 MB of RAM

To perform low quality video capture suitable for web pages or inclusion in multimedia presentations (160 x 120, at 15 frames per second):

  • 200 MHz processor
  • A general purpose TV / capture card.
  • At least a megabyte of free hard disk space.
  • 64 MB of RAM

This configuration of PC is unlikely to be able to capture DV video from a Firewire card.

Software

Generally, you will need an operating system installed (usually Microsoft Windows) and a capture program. Basic capture programs are usually supplied with the video capture cards.

To use Pure Motion Capture you will need to the following items:

  • Windows 95, 98, NT4 or 2000
  • DirectX Media 6 or better
  • Internet Explorer 4 or better
  • Your capture card drivers installed


Getting started with Pure Motion Capture (Anallogue)

Capture

Getting Started With Pure Motion Analogue Capture

To familiarize yourself with Pure Motion Capture and capture some video, start the program by selecting it from the start menu and follow the steps below.

Step 1 - Connect your video and audio source

Connect your video source (VCR, camcorder etc.) to your video capture card using an appropriate cable (e.g. composite, S-video or UHF).

If you wish to capture audio into your movie file, connect your audio source (usually the same as the video source) to your capture card. If your video capture card has an audio input, use this, otherwise use your sound card line-in socket.

Step 2 - Select Analogue capture mode

Click on the drop down list at the top right of the Capture window and select "Analogue Capture".

This will set up the program for capturing from an analogue video source.

Step 3 - Choosing the video source and resolution

Click the "Video options" button and choose a resolution of 320 x 240. If the option of colour format is available, choose "15 bit RGB".

From the same button, select the source type (e.g. composite, S-video or UHF).

Step 4 - Choose the frame rate

Use the drop down list to select

  • 25 frames per second if you are using a PAL source (UK, Europe)
  • 29.97 frames per second if you are using an NTSC source (USA)

Step 5 - Choose a video compressor

Select an Indeo version 5 filter (usually labeled "Indeo® video 5.x Compression Filter", where x is the sub version number).

Choose a quality of 85%.

Note that if your capture card has built in video compression (if you have an MJPEG capture card for example), select Full frames (uncompressed) here.

Step 6 - Choose the capture file

Type, or press to browse (...) button to select a file to capture to. If you have more than one drive, you should capture to a drive which has plenty of spare hard disk space.

Step 7 - Check the audio settings

Click the "Advanced..." button.

If you are not capturing audio, you can go straight to the "Compression" page and uncheck "Capture audio". Now click "OK" to close the dialog and skip to step 7.

If you wish to capture audio, go to the "Devices" page and select your audio capture device.

If you are capturing audio using your sound card, make sure the input is selected for recording using Windows volume control (show me how to do this).

Click "OK" to close the advanced options dialog.

Step 8 - Turning on the preview

Press the "Preview on" button to show the video in the video preview area inside the window.

Step 9 - Initializing the capture

Press the record button to initialise the capture process. Capturing will not start immediately, it will only start when you confirm the next dialog to pop up.

Step 10 - Starting to capture

When you see the above dialog appear, start your capture source (press play on the VCR or camcorder) and click "OK" in the dialog.

Pure Motion Capture has now started capturing to the movie file.

If you see the "Capture Stopped" warning appear, this means your PC cannot capture fast enough for the chosen resolution, frame rate and compressor. Try changing the compressor, reducing the frame or reducing the resolution. See troubleshooting for possible cures.

After about 10 seconds of capturing, press the stop button.

You will now be asked to play back the captured video, click "Yes" and watch the captured video. You should now be able to see (and hear) the movie play back at full speed. Note that to play the video back at maximum speed, it may be necessary to quit Pure Motion Capture and play the file back from Windows by double clicking on the file.

See Troubleshooting if you encountered any problems.


Getting started with Pure Motion Capture (Digital)

Capture

Getting Started With Pure Motion DV Capture

To familiarize yourself with Pure Motion Capture and capture some video, start the program by selecting it from the start menu and follow the steps below.

Step 1 - Connect your video and audio source

Connect your video source (VCR, camcorder etc.) to your Firewire capture card using an appropriate cable.

Step 2 - Select DV capture mode

Click on the drop down list at the top right of the Capture window and select "DV Capture".

This will set up the program for capturing from an digital Firewire source.

If Capture warns you about not having a DV device connected when you have connected it, try restarting Capture with the DV device turned on.

Step 3 - Choose the capture file

Type, or press to browse (...) button to select a file to capture to. If you have more than one drive, you should capture to a drive which has plenty of spare hard disk space.

Step 4 - Turning on the preview

Press the "Preview on" button to show the video in the video preview area inside the window. You may choose the preview resolution by clicking in the "Preview resolution" section of the window - the higher the resolution, the greater you chance of dropping frames during capture.

Step 5 - Start to capture

Press the record button to initialise the capture process. You will be warned if you are about to overwrite an existing file with your file chosen in step 3 above.

After about 10 seconds of capturing, press the stop button.

You will now be asked to play back the captured video, click "Yes" and watch the captured video. You should now be able to see (and hear) the movie play back at full speed. Note that to play the video back at maximum speed, it may be necessary to quit Pure Motion Capture and play the file back from Windows by double clicking on the file.

See Troubleshooting if you encountered any problems.


The Pure Motion Capture user interface

Capture

Analogue Capture User Interface

If you are new to Pure Motion Capture, it is recommended that you follow the steps in the Getting Started section.

Standby Mode

Capturing

Controls

Preview Area

When the preview is enabled, this area shows the incoming video ready to be captured or currently being captured.

Record

The record button starts the capture process using the current settings.

Stop

The stop button is only enabled while capturing and allows you to stop capturing to the file.

Preview Enable

The left-hand preview button enables or disables the preview.

Note that enabling the preview can cause some instability problems with certain capture cards and drivers, it may also cause excessive flickering of the screen. If you suffer any of these problems, it is recommended that you disable the preview.

Preview Sizing

The lower preview button resizes the preview to the maximum size of the preview or displays the preview at the actual current capture size.

Size Preview To Window (pressed state)

The preview is stretched to fill the full area of the preview pane. Use this setting to display the preview at maximum size but be aware that the image may be stretched (look tall and thin or short and fat) and that the size of the preview does not represent the size of the captured video.

Show Preview At Actual Size (un-pressed state)

This centres the preview within the preview area. The image is shown at actual size so that one video image pixel is represented as one pixel on the screen. Use this setting to view the preview at the size that will be captured.

Un-pressing the button to this state resizes the main Capture window to fit the whole image inside the preview area.

Options Panel

The options panel allow you to change the capture resolution, frame rate, video compressor and other options.

Statistics Panel

This panel display important information while capturing, such as disk space and time remaining, achieved frame rate and the number of dropped frames.


Options Panel

Capture

Analogue Options Panel

Controls

Video Capture Driver Panel

This panel displays the current video capture driver. Usually, you will only have one video capture driver installed but you change the driver by clicking on the advanced options button.

Capture Resolution

Shows the current capture resolution as <width> x <height>.

Click on the "Video Options..." button to change the current capture size.

Video Settings

Click on the Video Options button to open a popup menu that contains a list of available options. The number and type of options available depend in the type of capture drivers that are available on your system. The following options can be present:

Format

Opens your capture card driver's format dialog. The exact dialog displayed depends on your capture card installed. Usually, you will have options to change the capture size and colour type.

Source

Opens your capture card driver's source dialog. The exact dialog displayed depends on your capture card installed. Usually, you will have options to change the capture source (e.g. TV tuner, composite, S-video) and make colour adjustments.

WDM Options (not available on all systems)

Opens the WDM (Windows Driver Model) dialog, allowing you to configure various aspects of your capture system.

Frame Rate

This allows you to set how many frames are captured per second. You can either type in your desired frame rate or choose one of the presets from the drop down list. Note that this control strictly sets the desired frame rate. The actual frame rate captured depends on whether your PC and hard disk are fast enough to handle the desired frame rate.

Compressor

Allow you to choose a video compressor, or choose to capture frames uncompressed. Choosing a compressor can dramatically reduce the size of the file captured.

See here for a more detailed description of video compressors.

Quality

If the selected compressor supports setting of compression quality, the quality slider is displayed. The quality may be chosen between 0% and 100%.

Note that it is up to the selected compressor to decided on how the quality percentage translates to picture quality. A quality setting of 100% does not necessarily mean "perfect quality", it just means "highest quality available with this compressor". Similarly, a quality of 0% doesn't mean "no picture", it just means "minimum quality available with this compressor".

See here for a more detailed description of video compressors.

Compressor Configuration

If the selected compressor does not support a quality settings, it may however have other options. In this case, a "Config" button is displayed and pressing this displays the compressors own configuration dialog.

Note that if the selected compressor supports both quality setting and its own configuration dialog, only the quality slider is displayed. In this case, the compressor configuration dialog can be accessed from the advanced options dialog.

Capture File

This displays the filename of the movie file to be captured to. You can either type a name in or use the browse button to browse to a suitable file.

Auto Number Filename

If this option is checked, the capture filename is increased in number after each capture. This allows you to capture many files in sequence without having to manually change the filename.

Add To EditStudio

If EditStudio is running, you may capture directly into its media files list or onto the timeline. When this option is selected, capture will proceed as normal and after it stops the file will be sent to EditStudio.

Advanced Options

Click on this button to display the advanced options dialog.


Advanced options dialog

Capture

Advanced Options Dialog

Use this dialog to alter settings not available from the main capture dialog.

The dialog offers the following tabs

Devices

This page allows use to select the drivers used to capture the video and audio.

Compression

Choose advanced compression options and choose the audio format.

Synchronization

Use this page is you have problems with the video/audio synchronization.

AVI File

Choose between AVI 1.0 and AVI 2.0 file formats.

Limits

Set limits to automatically stop capturing.

Startup

Allows you to run the component checker on startup.


Devices Page

Capture

Analogue Devices Page

This page allows you to choose which devices are used to capture video and audio.

Controls

Video Capture Device

This allows you to choose your video capture driver. Usually, you will only have one video capture driver installed.

Audio Capture Device

This allows you to choose your audio capture driver. If you have a combined video and audio capture card, you will usually select the capture card driver here. If you do not have a combined video and audio capture card, you will need to select your sound card driver here and make sure that the correct input is selected for recording using Windows volume control (show me how to do this).


Compression Page

Capture

Analogue Compression Page

Here you can choose advanced compression options, whether to capture audio or not and the audio format.

Controls

Video Compressor

If you have chosen a video compressor from the main dialog, its name will be displayed and the options button enabled. Exactly which options are available from the dialog displayed when the options button is pressed depends on the video compressor chosen.

Capture Audio

Uncheck this if sound is not required for the move file as this will reduce the captured file size since no sound information will be stored.

Audio Format Choose

Click this to alter the format of the audio captured.

Generally, this should be set to 16 bit, 44.1Khz, Stereo as this will give the best audio quality but if disk space is at a premium then it may be desirable to reduce the audio data rate (and hence quality). Note that in general, the capture file size is dominated by the video component, not the audio - reducing the quality of the audio usually has little effect on the overall file size.

The table below summarizes some common audio formats and their corresponding data rates.

Audio format | Audio quality | Audio data rate | Adds this many Mb to 10 minutes of movie file
None (uncheck "Capture audio") | N/A | 0 | 0
8 bit, mono, 11kHz | Telephone quality | 11 Kb/sec | 6.3 Mb
8 bit, mono, 22kHz | AM radio quality | 22 Kb/sec | 12.6 Mb
8 bit, stereo, 44.1kHz | FM radio quality | 86 Kb/sec | 50.5 Mb
16 bit, stereo, 44.1Khz | CD Quality | 172 Kb/sec | 100 Mb


AVI File Page

Capture

Analogue AVI File Page

Use this page to choose between AVI 1.0 and AVI 2.0 format.

Controls

AVI Format

Choose between AVI 1.0 and AVI 2.0 file format. Choosing AVI 2.0 means that you can capture files larger than 2 Gigabytes but these files may be incompatible with other PCs which do not have the new AVI 2.0 drivers installed.

To summarize:

  • Select AVI 1.0 if you do not wish to capture files larger than 2 Gigabytes, want to use the files on somebody else's PC or if you wish to publish the files on the internet.
  • Select AVI 2.0 if you need to capture files larger than 2 Gigabytes.


Synchronization Page

Capture

Analogue Synchronization Page

Use this page if you have problems with video/audio synchronization.

Controls

Master Stream

Select which stream (video or audio) is the master stream. The master stream dictates which stream the other stream synchronizes to. If you are using a separate video capture card and sound card then the two streams may capture at slightly different rates and hence the audio and video will "drift". By specifying a master stream that all others must synchronize to, this adjusts the frame rate or audio sampling rate to account for drifts in the rates.

To summarize:

  • Select "None" if you have a combined video/audio capture card or if you have experienced no synchronization problems.
  • Select "Audio" to adjust the video frame rate to match the audio stream (this is recommended for synchronization problems).
  • Select "Video" to adjust the audio sampling rate to match the video frame rate (this is generally not recommended as it may cause the audio to break up).


Limits page

Capture

Limits Page

Use this page to set limits to stop capturing automatically.

Controls

Time Limit

Select this to allow capturing to stop after a the time shown.

File Size

Select this to stop capturing once the capture file has exceeded the file size shown.

Dropped Frames

Select this to stop capturing if the number of detected dropped frames exceeds the number shown.

Frame Rate

Select this to stop capturing if the achieved frame rate falls below the shown percentage of the desired frame rate.


Statistics Panel

Capture

Analogue Statistics Panel

Controls

Tape Counter And Icon

Shows how long the capture has been going. The animated icon shows the capture is in progress.

Disk Space Gauge

Displays how much space there is on the disk currently being captured to. The progress starts on the left hand side and fills up as the disk space fills up.

Note this display is based on the space on the disk being captured to, not the space on all available disks.

AVI File Size

Shows the current size of the capture file.

Disk Space Remaining

Shows the space remaining on the disk being captured to.

Note this display is based on the space on the disk being captured to, not the space on all available disks.

Achieved Frame Rate

This display is calculated on the number of frames that have been written to the file and how the capture has been in progress. If your computer is capturing at full speed, the achieved frame rate should approach the desired frame rate (set from the options panel), be aware that it may take a second or two to settle though. If the achieved frame rate falls significantly short of the desired frame rate, the computer is dropping frames and the movie file created will look jerky when played back. See optimising your system and troubleshooting to stop dropped frames.

Compression

Shows the average amount of compression achieved for the whole file captured so far. The bar and percentage value allow you to quickly glance and assess the performance of the compressor and settings chosen.

Dropped Frames

Shows the number of dropped from reported by the system. It is common and generally acceptable to drop one or two frames in the first second of two of capture but if the number of dropped frames continues to increase, this will degrade the quality of the movie file. See optimising your system and troubleshooting to stop dropped frames.


Video Capture Details - Terms and Concepts Explained

Capture

Analogue Video Capture Details - Terms and Concepts Explained

Resolution

Computer images are made from picture elements called pixels. Each pixel is a rectangle (usually square) which has its own colour. Generally, the more pixels the image has, the better quality it looks to the eye but the more space it takes up in the computer's memory.

Resolution is the width and height of an image expressed in the number of pixels from left-right and top-bottom. For example, a resolution of 320 x 240 means the image has 320 pixels from left to right and 240 pixels from top to bottom.

Resolution is particularly important when it comes to movie files because it has the most influence on how big the movie file is. Also when capturing video, depending on the power of the PC used, we may be limited to capturing below certain resolutions.

To see what effect resolution has on image quality and file size click here.

Colour Format

For each pixel within each frame, the colour format determines how much memory is required to store the pixel's brightness and colour. Similar to resolution, the colour format of an image determines its quality and also determines how much hard disk space is required to store it.

The following table shows some common colour formats and their typical uses.

Colour format | Number of bits required for each pixel | Recommended
32 bit RGBA | 32 | Not recommended.
24 bit RGB | 24 | Recommended only for powerful PCs and where absolute maximum quality is essential.
15 bit RGB | 15 | Recommended for general use.
YUY2 | 16 | A smaller file size alternative to 24 bit RGB. Not compatible however with all compressors and playback is not possible on all PCs.
BTYUV | 12 | Not recommended.
YUV9 | 9 | Recommended only for lower specification PCs and lower quality capturing.
YUV12 | 12 | Not recommended.

To see some example images stored in different colour formats click here.

Frame Rate

The frame rate determines the number of images that are stored and displayed per second. The greater the frame rate, the smoother the motion. Generally, you will want to match the capture frame rate to that of the source. You may however wish to reduce the frame rate to:

  • reduce the captured file size (since the file size is approximately proportional to the frame rate)
  • reduce the load on the computer's processor to stop dropped frames

The table below summarises some common frame rates:

Frame rate | Application
30 frames per second | for short clips from NTSC (USA) television
29.97 frames per second | for any length clip from NTSC (USA) television
25 frames per second | PAL (UK and Europe) television
24 frames per second | Cinema film
12 frames per second | Cartoons

Why 29.97 Frames Per Second?

The NTSC video standard actually runs at 29.97 frames per second - not 30 frames per second as is commonly quoted. For short captures of a couple of minutes or so, using 30 frames per second will be satisfactory. For longer captures however, capturing at 30 frames per second from an NTSC will cause audio / video synchronization problems.

We recommend that when capturing long clips from an NTSC source, that the frame rate is set to 29.97 frame per second.

Video Compression

Video compression is important for two main reasons:

  • It can vastly reduce the captured movie file size.
  • It reduces the data rate to the hard disk.

As with resolution, colour format and frame rate, choosing the right compression settings is a trade off between image quality and file size. Click here to see some examples of a compressor used with different quality settings and the resultant file size.

Note that some video compressors are not intended for real time compression. This means that if you try and capture video and compress using one of these compressors, the computer will not be able to keep up with the frames coming from the capture card and dropped frames will occur.

For general use and good compatibility we recommend using an Indeo version 5 compressor. Other compressors however may be more suited to high quality video or high data rates.

Audio Settings

If you wish to capture audio along with your video, you have a choice of audio settings to use. Click here to see what options are available and what implications these have.

Data Rate

Data rate is a very important concept when it comes to video capture. Understanding data rate helps us understand how the speed of our PC and hard disk limits the quality the we can capture at.

The diagram below illustrates the different data rates at different stages of the capture process.

The highest data rate occurs between the video capture card and the video compressor. This is where the full, uncompressed frames are captured by the hardware and send to the video compressor. The video compressor takes each frame and applies its compression algorithm to reduce the image size in bytes and hence reduce the output data rate. This video compression all occurs in the computer's memory and does not depend on the hard disk. It is therefore the speed of your PCs processor and memory, and the video compressor used that dictates the maximum data rate at this stage that can be used. Remember that increasing the image resolution, increasing the frame rate and changing the colour format can all increase the data rate. If the PC cannot cope with the data rate, dropped frames will occur.

Note that some video capture cards have the video compressor built in and use hardware to perform the compression. In this case, the above paragraph is not applicable.

The output from the video compressor is added to the audio stream to form the resultant data stream which is written to a file on the hard disk. This final data rate is therefore dependent on:

  • the audio format used, and
  • the video data rate, which is dependent on the video compressor type and settings, image resolution, colour format and frame rate.

Note that the video data rate usually dominates the final data rate.

The video and audio data is then written to the hard disk at the final data rate. If the hard disk cannot write the data fast enough, something has to give and dropped frames occur.

Dropped Frames

Dropped frames are missing or skipped frames the can occur when capturing video or playing back video. They are visible in a video when playing back a movie file and the motion stops or jerks for a moment and then continues.

Dropped frames can occur on playback when the computer cannot read the data off the hard disk fast enough or if the PC cannot decompress the video fast enough. They are however, much more common and troublesome when they occur during capture.

If dropped frames occur during capture it is usually due to:

  • The data rate from the capture card being too great for the video compressor, or
  • The final data rate is too high for the hard disk to sustain.

There could be other reasons too, like for example if some other program (virus checker or screensaver) is running at the same time as capturing.

To solve problem 1, there are several steps that can be taken:

  • Reduce the capture resolution
  • Reduce the frame rate
  • Choose a capture image format that uses less bits per pixel (see colour format table)
  • Choose a different compressor

To solve problem 2, you can:

  • Reduce the quality setting of the compressor to reduce the output data rate
  • Reduce the audio quality settings
  • Make sure your hard disk is optimized for capture. Click here to see how to do this.

The 2GB AVI File Limit

The 2GB AVI file limit applies to AVI 1.0 format files (the most common AVI format). It occurs because the file format uses 32 bit integers to store offsets within the file and this limits the file to about 2 gigabytes. To overcome this problem, the AVI 2.0 format was created which uses 64 bit integer offsets. AVI 2.0 files can therefore be virtually unlimited in size, there are however two points to bear in mind when using AVI 2.0 format files:

  • Not all editing software supports AVI 2.0 files.
  • There is a 4Gb limit on all files with the FAT32 file system on Windows 95 and Windows 98. So unless you are using NTFS on Windows NT or Windows 2000, you are limited to 4Gb files anyway.

So some advice would be to stick to using AVI 1.0 files and capture in sections shorter than 2GB and only use AVI 2.0 if:

  • You absolutely have to capture more than 2GB in one continuous section, and
  • You have an editing program which supports the AVI 2.0 standard (such as Pure Motion's EditStudio).


Resolution details

Capture

Resolution details

Visible example

Below shows some images at resolutions commonly used in movie files. You can see how when using low resolutions the image becomes blocky and computerized. The effects of low resolution are particularly noticeable on areas of sharp contrast and text.

Resolution: 320 x 240

Resolution: 160 x 120

Resolution: 80 x 60

Implications Of Changing Resolution

From the examples above, it is tempting to think that high resolution is best. However, there a penalty for using high resolution images and that is the amount of disk space they require. Each time the resolution is doubled (i.e. going from 80 x 60 to 160 x 120 or from 160 x 120 to 320 x 240), the amount to memory required for each frame quadruples and this has two important implications for digital video:

  • the movie file size will also approximately quadruple, and
  • the amount of image data the computer has to process each second quadruples.

The second point is perhaps the most important when it comes to capturing digital video. Since the power of your computer is limited, so is the maximum resolution that you can capture at.


Colour format details

Capture

Colour Format Details

Each picture shows a 2x zoomed section of the same frame from a video captured in 5 different colour formats: 24 bit, YUY2, 15 bit, BTYUV and YUV9. The picture are in roughly descending order of quality.

To view the pictures at their best quality you will need to make sure that your screen colour depth is 24 bit or 32 bit (use the Windows Display control panel to check this).

Examples

24 bit RGB

Best image quality.

YUY2

Image quality very nearly as good as 24 bit RGB.

15 bit RGB

Notice how the colours begin to break up.

BTYUV

Notice the blocky colours around the slope of the roof and the loss of colour on the chimney.

YUV9

Colours look very blocky and inaccurate.


Compression details

Capture

Compression Details

Example

The examples below are a 2x zoomed section of a single frame of video compressed using an MJPEG compressor. Note the first image shown is uncompressed to aid as a comparison.

Uncompressed, 24 bit original

MJPEG Quality = 100%

MJPEG Quality = 75%

MJPEG Quality = 50%

MJPEG Quality = 25%

File Sizes

The following is a table showing the file size of a 10 second video clip using the MJPEG compressor with different quality settings.

Settings | File size for 10 seconds at 25 frames per second, 320 x 240, with 16 bit, stereo, 44.1kHz audio.
Full frames (uncompressed) 24 bit | 60.0 Mb
MJPEG compressor, quality = 100% | 21.7 Mb
MJPEG compressor, quality = 75% | 7.0 Mb
MJPEG compressor, quality = 50% | 5.1 Mb
MJPEG compressor, quality = 25% | 3.9 Mb


The Pure Motion Capture user interface

Capture

DV Capture User Interface

If you are new to Pure Motion Capture, it is recommended that you follow the steps in the Getting Started section.

Standby Mode

Capturing

Controls

Preview Area

When the preview is enabled, this area shows the incoming video ready to be captured or currently being captured.

Record

The record button starts the capture process using the current settings.

Stop

The stop button is only enabled while capturing and allows you to stop capturing to the file.

Tape Transport Controls

If you have a compatible DV recorder or camcorder attached to your Firewire capture card, these controls can be used to position the tape ready for capture.

Preview Enable

The left-hand preview button enables or disables the preview.

Note that enabling the preview can cause some instability problems with certain capture cards and drivers, it may also cause excessive flickering of the screen. If you suffer any of these problems, it is recommended that you disable the preview.

Preview Sizing

The lower preview button resizes the preview to the maximum size of the preview or displays the preview at the actual current capture size.

Size Preview To Window (pressed state)

The preview is stretched to fill the full area of the preview pane. Use this setting to display the preview at maximum size but be aware that the image may be stretched (look tall and thin or short and fat) and that the size of the preview does not represent the size of the captured video.

Show Preview At Actual Size (un-pressed state)

This centres the preview within the preview area. The image is shown at actual size so that one video image pixel is represented as one pixel on the screen. Use this setting to view the preview at the size that will be captured.

Un-pressing the button to this state resizes the main Capture window to fit the whole image inside the preview area.

Preview Resolution Panel

You may change the resolution of the preview. Choose full resolution, half resolution or quarter resolution. Choosing a lower resolution may help if you are dropping frames during capture.

Disk Space Panel

This panel display important information while capturing, such as disk space and time remaining.

Capture File

Choose the filename of the file that will contain the captured DV movie. You may click on the "Advanced" button to set various properties of the file.


Options Panel

Capture

DV Options Panel

Controls

Preview Resolution

Sets the resolution of the preview image. Choose from full, half or quarter DV resolution. If you are having problems capturing a full frame rate, you can reduce the preview resolution to try and increase the capture frame rate.

Changing this control has no effect on the resolution of the captured file - this will always be at full DV resolution.

Disk Space On Current Drive

Displays how the disk space is being used on the current hard drive. Blue represents used space and magenta represents free space.

Capture File

This displays the filename of the movie file to be captured to. You can either type a name in or use the browse button to browse to a suitable file.

Auto Number Filename

If this option is checked, the capture filename is increased in number after each capture. This allows you to capture many files in sequence without having to manually change the filename.

Add To EditStudio

If EditStudio is running, you may capture directly into its media files list or onto the timeline. When this option is selected, capture will proceed as normal and after it stops the file will be sent to EditStudio.

Advanced Options

Click on this button to display the advanced options dialog.


Advanced options dialog

Capture

Advanced Options Dialog

Use this dialog to alter settings not available from the main capture dialog.

The dialog offers the following tabs:

DV

This page allows use to select the drivers used to capture the video and audio.

Limits

Set limits to automatically stop capturing.

Startup

Allows you to run the component checker on startup.


DV Page

Capture

DV Page

Use this page to set the file format of the capture file as well as the automatic tape control features.

Controls

AVI File Type

Capture outputs Type-2 DV format files, using the AVI 1.0 or 2.0 specifications.

AVI 1.0 files store the DV data in a format compatible with all programs that support Video For Windows (VFW), provided they have a suitable DV decoder installed. AVI 1.0 files are limited to a maximum size of 4 GB which is equivalent to 18 minutes of movie.

AVI 2.0 files allow you to store over 4 GB of movie in a single file. AVI 2.0 files are not compatible with programs which only support the Video For Windows standard.

Automatically Start / Stop DV Device When Capturing

Checking this option will allow Capture to automatically control your DV recorder or camcorder during the capture process. Most modern Firewire cards support this feature, however you may turn it off if you want manual control.

Mute Audio From DV Device

Check this option if you want Capture to silence audio during seeking operations. Some camcorder emit a high pitched noise otherwise.


DV Statistics Panel

Capture

DV Statistics Panel

Controls

Tape Counter And Icon

Shows how long the capture has been going. The animated icon shows the capture is in progress.

Disk Space Chart

Displays how much disk space is remaining. Used space is shown in dark blue, free space in magenta and the current capture file in yellow.

Disk Time Remaining

Shows the time remaining on the current disk.

Dropped Frames

Shows the number of dropped from reported by the system. It is common and generally acceptable to drop one or two frames in the first second of two of capture but if the number of dropped frames continues to increase, this will degrade the quality of the movie file. See optimising your system and troubleshooting to stop dropped frames.


How To Select An Audio Source For Monitoring

Capture

How To Select An Audio Source For Monitoring

Double click on the volume icon in the taskbar tray (bottom right of screen) to open the volume control.

Uncheck "Mute" on the desired input. If the desired input is not shown on the volume control window, go the the "Options" menu and select "Properties", make sure the desired input is checked.


How To Select An Audio Source For Recording

Capture

How To Select An Audio Source For Recording

Double click on the volume icon in the taskbar tray (bottom right of screen) to open the volume control. Go the the "Options" menu and select "Properties".

Select adjust volume for "Recording" as shown above. Make sure the desired input is selected in the list. Click "OK" to display the volume control.

Uncheck "Select" for the desired input. The input volume level can be altered by moving the slider.


Optimising Your System

Capture

Optimising Your System

This section tells you how to get the best out of your PC to capture at the highest quality and avoid dropping frames.

Try Capturing To Different Hard Drives

If you have more than one partition or more than one hard drive, try capturing to different drive letters. Generally, the best performance will be obtained when capturing to a separate hard disk to that which Windows is installed on. Also, make sure your capture drive has as much free space as possible.

Defragment Your Hard Drive

Use the Windows Defrag utility (see Windows help on how to do this) to defragment to drive you capture to. A defragmented hard drive is less likely to cause randomly occurring dropped frames.

Make Sure Hard Disk DMA Is Turned On

Note: if you are using SCSI hard disks, skip this section as it only applies to IDE hard disks.

By selecting DMA on the hard disk that you capture to, data can be transferred directly to the hard disk requiring very little CPU power to do so. This leaves the CPU free during capture to process the incoming video and perform any video compression.

To make sure DMA is turned on, right click on "My Computer" from the Windows desktop and select "Properties". Click on the "Device manager" tab and open up the branch marked "Disk drives":

There should be one driver for every IDE hard disk that you have. There are two IDE drivers in the picture above.

For each IDE driver, select it in the list and click "Properties". Now select the "Settings tab":

Ensure the DMA item is checked and click on OK. Repeat this process for every IDE driver you have in the list.

Click "OK" to close the System Properties dialog. If you are prompted to restart, click "Yes" to restart your PC.

Note: not all hard drives and motherboards support DMA. Use the process above to check whether DMA has been turned on. If DMA is not supported, the DMA checkbox will have been reset by Windows to be unchecked. If your hard disk or motherboard came with a driver disk, try installing these drivers as they may enable DMA capability.

Turn Off All Other Programs

While capturing, ensure no other programs are running. This includes disabling and virus checker you may have and disabling the screen saver.

Turn The Preview Off

Try disabling the preview from Capture. Depending on your capture card and drivers, this may provide a performance increase.

Optimise Your Resolution, Colour Format and Frame rate.

Finally, don't capture at any greater quality than you need to!

If you are producing a video for the web, the chances are the end product will be a low image quality, small size file. In this case there is no point in capturing at 640 x 480, 30 frames per second, 24 bit colour. Go for a more modest resolution, colour format and frame rate.

Similarly, if you are capturing a cartoon, don't capture at 25 or 30 frames per second as at least half of the frames will be duplicated. Try 12 of 15 frames per second.


Troubleshooting

Capture

Troubleshooting

Problem Possible causes Possible solutions
The component checker complains that I have a 1394 DV Camcorder driver installed

(DV only)
  1. You have the Texas Instruments DV driver installed
  1. Click here to show me how to change the driver
Capture doesn't recognise my DV camcorder under Windows 2000

(DV only)
  1. Camcorder is not connected
  2. Camcorder is not turned on
  3. You have the Texas Instruments DV driver installed
  1. Check the camcorder is connected.
  2. Turn on camcorder
  3. Click here to show me how to change the driver
Capture is unstable when capturing DV

(DV only)
  1. You have the Texas Instruments DV driver installed
  2. You have old drivers installed
  1. Click here to show me how to change the driver
  2. Install the recommended drivers
I can't hear my audio source while capturing

(Analogue only)
  1. Audio cable is not connected from audio source.
  2. Audio cable is connected to wrong socket.
  3. Source is not selected for playback in volume control.
  1. Check the audio cable is connected.
  2. Check the cable is connected to the correct audio in socket.
  3. Click here to show me how to select to audio source for monitoring.
I can't hear any audio when I play back a captured movie file
  1. Same as above.
  2. Source is not selected for recording in the volume control.
  3. Capture audio is not selected.
  4. The movie played has muted the audio
  1. Check the points above.
  2. Click here to show me how to select to audio source for recording.
  3. Click here to show me how to change this option.
  4. Un-mute the audio on your movie player.
I can hear sound when playing back the movie file but it is too quiet or it is too loud and distorted

(Analogue only)
  1. The recording volume control level is set too loud.
  2. The volume on the audio source is set too loud.
  1. Change the input volume level. Click here to show me how.
  2. Reduce the volume on the audio source.
The video preview shows a blue screen

(Analogue only)
  1. The video source is not connected to the capture card correctly.
  2. The correct video source type is not selected for the capture driver.
  1. Check the connection between the video source and the video capture card.
  2. Click the "Source..." button from the Pure Motion Capture main window.
All I capture is a blue image

(Analogue only)
  1. See above.
  1. See above
I get the error "Cannot initialise video capture device: x" when trying to start Pure Motion Capture.
  1. The video capture driver is in use by another program.
  2. You do not have a video capture driver correctly installed.
  1. Close all other programs, especially any other capture, TV or teletext programs.
  2. Check you have installed the capture driver. Follow the capture card installation instructions.
I get the error "Cannot initialise any video capture devices" when trying to start Pure Motion Capture.
  1. See above.
  1. See above.
I get the error "Cannot start capture" when I press the record button.
  1. See above.
  1. See above.
The quality of the captured video image is poor

(Analogue only)
  1. The video source is not connected or tuned in properly.
  2. The video compressor used is degrading the picture.
  3. The capture resolution or colour format are not set properly.
  1. If you are using a TV tuner, make sure it is tuned in and has a strong TV signal. Check all cables between the video source and video capture card.
  2. Change the quality setting on the video compressor if it has one. Change the video compressor. Don't use video compression.
  3. Click "Format..." from the Pure Motion Capture main window and change the capture resolution and colour format.
I'm experiencing dropped frames when capturing
  1. Your system has not been optimised for capture.
  2. Your chosen compressor cannot compress in real time.
  3. You are trying to capture at a too high data rate for your CPU or hard disk.
  1. Click here to read about optimizing your system for capture.
  2. Change the video compressor, or don't use video compression.
  3. Reduce the resolution, frame rate or colour format.
The achieved frame rate is well below the desired frame rate while capturing
  1. See above.
  1. See above.
I'm experiencing dropped frames when playing back the captured movie files
  1. Your system has not been optimised for capture.
  2. The compressor used for capture does not have a corresponding real time decompression filter.
  3. Your video card cannot play back full speed at the current resolution and screen depth.
  1. Click here to read about optimizing your system for capture.
  2. Change the video compressor used to capture.
  3. Reduce your desktop resolution and colour depth (go to Control Panel -> Display). Buy a better video card!
I'm filling up the hard disk too quickly
  1. The video is not compressed enough or you are not using video compression.
  2. You are capturing at too high resolution or frame rate.
  3. The hard disk has too little spare space on it.
  4. DV has a fixed data rate
  1. Use a lower quality setting on the video compressor or use a different compressor.
  2. Reduce the resolution and frame rate.
  3. Capture to a different hard disk or buy a new hard disk!
  4. Buy a larger hard disk!
The audio and video are out of synchronization

(Analogue only)
  1. You are using your sound card to capture the audio when the video capture card has an audio input.
  2. There is no master stream set.
  1. If your video capture card has an audio input too, use this instead of the sound card input.
  2. Set the master stream to audio. Show me how.
My captured movie files don't play back my machine
  1. You do not have a corresponding decompression filter for the compressor used to capture with.
  2. If you are not using a compressor, you may be using an incompatible colour format.
  1. Change the compressor, or install the decompression filter for the video compressor used.
  2. Change the colour format to 15 bit RGB or 24 bit RGB.
My captured movie files don't play back on another machine
  1. The other computer does not have the correct decompression filter installed.
  1. Install the decompression filter on the other machine. Install DirectX Media on the other machine. Capture using a different compressor or do not use video compression and choose a colour format of 15 bit RGB or 24 bit RGB.
I'm experiencing frequent crashes
  1. Your capture card drivers do not support the video preview properly.
  2. The chosen video compressor is unreliable.
  3. You do not have the latest drivers installed.
  4. You have an old version of Pure Motion Capture.
  1. Turn off the video preview.
  2. Change the video compressor.
  3. Make sure DirectX Media is installed. Make sure you have the latest version of your capture card drivers installed. Check the web site of your capture card manufacturer.
  4. Check www.puremotion.com for the latest version of Capture.


Glossary

Select a letter...


Copyright

Capture

License Agreement

Licensee

Pure Motion Limited ("the Owners") hereby grant you a non-exclusive, non-transferable, license to use this software ("the Software") in accordance with the terms of this License Agreement. You may not copy, modify, alter, decompile or reverse engineer the Software or the user instructions in any way, other than to make one copy of the Software for backup purposes. It is also your responsibility to ensure that, before loading the Software, you have made adequate backups of the application software and data stored on your computer. In using this software, you will have deemed to have accepted the terms of this License Agreement.

Restrictions

The license is personal to you an you may not assign, transfer or sub-license the Software of the user instructions to any other person without the express written consent of the Owners.

You may only use the Software on a single computer that you own or use. Under no circumstances may you use it on more than one machine at a time. Once you have run the portion of the Software called the "setup" program on the computer, you may use the software on a different computer only if you first delete the installed files by the setup program on the first computer.

All media files included with the Software remains Copyright of the owners unless otherwise stated.

Limitations Of Remedies

Except as set out in this license agreement, in no event will either the Owners or their group companies, licensors, suppliers or agents be liable to you for any loss or damage of any kind, including any loss of profits, loss of anticipated savings or other indirect or consequential damages arising out of your use or inability to use the Software or from errors of deficiencies in it, whether caused by negligence or otherwise.

Law

This License Agreement is governed by English law and the jurisdiction of the English courts.

Copyright

The Software is Copyright 2000 Pure Motion Limited.


Video Capture Details - Terms and Concepts Explained

Capture

Video Capture Details - DV Terms and Concepts Explained

DV

DV is an acronym for Digital Video. DV is a well defined standard which enables DV compatible devices to transmit and receive movies.

Resolution

The resolution of DV movies are fixed to the following sizes:

Format | Resolution
PAL | 720 x 576
NTSC | 720 x 480

Frame Rate

DV uses the following frame rates:

Format | Frames Per Second
PAL | 25
NTSC | 29.97

Video Compression

DV uses a lossy form of compression for reducing the size of the video stored in the file. The video is compressed to around a fifth of its original size (5:1 compression). The compression algorithm is similar to MJPEG, with each frame being compressed individually.

Audio Settings

DV audio can have 1 or 2 audio channels and the sample rate is either 32 KHz or 48 KHz. The relationship is shown in the table below:

Number of Channels | Sample Rate
1 | 48 KHz stereo
2 | 32 KHz stereo

These combinations are fixed (ie. it is not possible to have 2 channel 48 KHz or 1 channel 32 KHz). The audio remains uncompressed.

When you capture 32 KHz audio from a DV source, Capture only captures the audio from the first channel. Capture does not support capturing audio from the second channel.

Data Rate

DV is transferred at a constant 3.6 MB per second, for both PAL and NTSC formats. The audio settings do not change the data rate.


Startup Page

Capture

DV Page

Use this page to choose whether to run the component checker on startup.

We strongly recommend that you allow Capture to run the component checker on startup as this will help identify any potential problems with your system. If any issues are identified, read our Troubleshooting section to attempt to fix them.


Table Of Contents

Capture

Table Of Contents

Tell me about Capture

Requirements for video capture

Getting started with Pure Motion analogue Capture

Getting started with Pure Motion DV Capture

Analogue

Using Pure Motion Capture

Options panel

Advanced options

Devices page

Compression page

Synchronization page

AVI file page

Limits page

Statistics panel

Video capture details

Resolution details

Colour format details

Compression details

Digital

Using Pure Motion Capture

Options panel

Advanced options

DV

Limits page

Statistics panel

Optimising your system

Volume control settings

Monitoring audio

Recording audio

Troubleshooting

Glossary

License Agreement


How to change from TI DVcam driver to Microsoft DV Camera and VCR

Capture

How to change from Texas Instruments '1394 DV Camcorder' driver to 'Microsoft DV Camera and VCR'

Visit our web site at www.puremotion.com/fixdv for full instructions on how to perform this change using Windows 98SE, ME and 2000.


Pure Motion Web Pages

Capture

Visit the Pure Motion web site at www.puremotion.com

The web site contains pages for:

  • All of Pure Motion's programs
  • Pure Motion's Video Editing area, containing information and resources suitable for anyone interested in video editing.
  • Download area, to download all the programs for either free use or for trials.
  • Access to discussion groups, to share your experiences with other users or just chew the fat on all areas of video editing.
  • All the latest Pure Motion news, updates and beta releases.


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / A

AVI

AVI stands for Audio Video Interleaved. AVI format files are common under Microsoft Windows for storing audio and video files. AVI is actually a "wrapper" around a particular video format, so an AVI file can contain video and audio of many different formats.


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / B

Bit

The smallest unit that a computer can use to store data. A bit can have the value 0 or 1.

See also: Byte

BMP

Common file format for storing bitmap files.

Byte

8 bits.

See also: Bit


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / C

CCD

CCD is an acronym for Charge Coupled Device. The CCD is a small rectangular electronic chip which detects the light from the camcorder lens. The CCD contains thousands of light sensitive pixels which are used to form the image.

Colour Depth

The number of possible colours in an image is called the image's colour depth. Colour depth is usually expressed in the number of bits that are used to store the colour. Popular colour depths are 8 bits (256 colours), 16 bits (65,536 colours) and 24 bit (over 16 million colours).

Composite Video

Composite video is method of transferring a video signal down a 2-connector cable. The composite video signal includes all aspects of the video signal (colour and brightness), but does not carry sound.

See also: UHF, S-Video

Compression

Some data, especially video and audio data, can be made smaller by using a process called compression. Compression works by looking at the data and deciding whether there is any way of expressing the information in a simpler form. In the case of video and audio compression, this works by removing elements of the data that the viewer or listener is unlikely to notice have gone missing. This form of compression is called lossy compression, as data is lost during the process.

Other compression schemes manage to keep all the data, but express it in a more compact form. ZIP files are an example of a compression scheme that is lossless. Lossless compression schemes usually do not compress as well as lossy schemes. Most audio and video compression schemes are lossy, in order to achieve high levels of compression.


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / D

DIN Connector

DIN connectors are typically round connectors with 3 or more pins surrounded by an other shield. DIN connectors are used to connect together older audio equipment or to connect S-Video video equipment.

DV

DV is an acronym for Digital Video. DV is used to describe equipment (typically camcorders) that use the standard DV video cassettes. Most popular DV camcorders actually use the mini-DV standard.


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / E

<No entries>


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / F

Firewire

The Apple name for IEEE1394.

Focus

Some operations can only operate on the item with focus; only one item may have focus at any one time. A layer item with focus is drawn with a yellow border.

See also: Selected, Unselected

Frame Cache

To avoid repeatedly rendering frequently used frames, EditStudio uses a frame cache which stores these popular frames. The ensures that screen redraws are fast and the program remains responsive. To set the size of the cache, see the EditStudio Options dialog. In general, the larger the cache, the faster the program will run.

Frame Rate

The number of frames displayed every second.


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / G

<No entries>


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / H

Hover

Waiting a short period time with your mouse cursor over a part of the EditStudio interface. You usually hover over an item to open a tooltip.


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / I

IEEE1394

Fast interface popular for transferring DV digital video. Also known as Firewire or i-Link. IEEE allows up to 127 devices to to plugged into a single IEEE bus, with data transfer rates as fast a 400Mb per second. IEEE1394 devices are "hot-swappable", allowing you to plug devices in and out without having to reboot your system.

IEEE1394 is supported under Windows 98 and Windows 2000. If you are using Windows 98, we suggest that you use the Second Edition version of the operating system, as this version has much more robust support than the earlier version.

Indeo

Popular video compression scheme, available under Windows.

i-Link

The Sony name for IEEE1394.

Invalid Layer Reference

Layer items can only refer to layers below themselves, they cannot refer to layers above them. A reference to a layer above the layer item is called an invalid layer reference. EditStudio does not allow you to create an invalid layer reference.

ISA

Expansion connector slot inside the PC. Superceded by the PCI slot.


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / J

JPEG

JPEG is a acronym for Joint Picture Experts Group. JPEG is a bitmap file format which is popular for storing full colour images. The format uses a user defined amount of lossy compression, meaning that there is a trade off between file size and image quality in that the more compression is used (smaller file sizes), the lower the quality of the image.


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / K

<No entries>


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / L

Line Level

The common voltage level to connect audio devices together.


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / M

Mark In

The position, in time, of the first frame to be used in a layer item.

See also: Mark Out

Mark Out

The position, in time, of the last frame to be used in a layer item.

See also: Mark In

MJPEG

JPEG is an acronym for Motion Joint Picture Experts Group. Video compression format which compresses each frame individually with a technique very similar to the JPEG bitmap format.

See also: MPEG

Mono (Audio)

A single audio channel. If you play back mono audio through stereo speakers, both speakers will play back the same sound.

See also: Stereo

MP3

Popular audio file format. Highly compressed - usually about 10% of the size of an equivalent WAV file.

See also: WAV

MPEG

Popular video compression format. MPEG 1 is highly compressed video format, suitable for producing VHS quality video. MPEG 2 is a higher quality format, as used by DVD players. MPEG uses a technique similar to JPEG compression on each frame, but also includes compression across frames by storing intermediate frames based on movement between the next and previous frames. MPEG achieves better compression than MJPEG (which only compresses each frame individually) but requires more processing power to create the MPEG files.

See also: MJPEG


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / N

NTFS

NTFS is an acronym for Windows NT Filing System. This is a common disk structure used with Windows NT.

NTSC

NTSC is an acronym for National Television Standards Committee. The standard for television pictures in the USA. 30 frames per second.

See also: PAL


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / Numbers

2 GB AVI limit

Most AVI files in use today, and the programs which use AVI files, are limited to files of 2GB in size. The 2GB AVI file limit applies to AVI 1.0 format files (the most common AVI format). It occurs because the file format uses 32 bit integers to store offsets within the file and this limits the file to about 2 gigabytes. To overcome this problem, the AVI 2.0 format was created which uses 64 bit integer offsets. AVI 2.0 files can therefore be virtually unlimited in size, there are however two points to bear in mind when using AVI 2.0 format files:

  • Not all editing software supports AVI 2.0 files.
  • There is a 4Gb limit on all files with the FAT32 file system on Windows 95 and Windows 98. So unless you are using NTFS on Windows NT or Windows 2000, you are limited to 4Gb files anyway.

So some advice would be to stick to using AVI 1.0 files and capture in sections shorter than 2GB and only use AVI 2.0 if:

  • You absolutely have to capture more than 2GB in one continuous section, and
  • You have an editing program which supports the AVI 2.0 standard (such as Pure Motion's EditStudio).


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / O

OHCI

OHCI is an acronym for Open Host Controller Interface and is usually used in the context of Firewire cards. An OHCI card contains a standard interface which other programs and drivers can use. This means that OHCI cards work with the standard range of drivers, whereas non-OHCI usually require their own drivers and / or applications.

OHCI can apply to other interface cards as well, such as USB.


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / P

PAL

PAL is an acronym for Phase Alternate Line. PAL is the standard for television pictures in most of Europe. PAL operates at 25 frames per second.

See also: NTSC.

Parallel Port

The port that is usually used to connect to a printer.

PCI

Popular internal interface in a PC.

See also: ISA

Peak File

A file created by EditStudio to speed up the redrawing of audio files in the layers.]

Phono Connector

Two connection connector with a central pin and an outer shield. Popular for sending audio signals as well as composite video.

Pixel

Pixel is shorthand for "picture element". A pixel is a small rectangle of colour, many of which are used to create a bitmap picture or video frame.

See also: Resolution

Plugin

A small piece of software that is loaded by a main program to add functionality to the main program. All EditStudio's media file loaders, savers, video effects and audio filters are plugins.


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / Q

<No entries>


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / R

Render

The process of drawing a video frame or calculating an audio ouput.

Resample

When converting between different audio sample rates, the audio must be resampled to the new sample rate. Resampling can lead to a loss of audio quality.

Resolution

Refers to the number of pixels that an image has. For example, an image which has 320 pixels across and 240 pixels down is said to have a resolution of 320 x 240.

Right-click

The action of clicking the right button on the mouse.


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / S

Sample Rate

The number of audio samples taken per second. Popular values include 8,000 samples per seconds for telephone / AM radio quality or 44,100 samples per second for CD quality audio.

SCART

SCART is an acronym for Syndicat des Constructeurs d'Appareils Radio Récepteurs et Téléviseurs. SCART usually refers to the SCART plug and socket, which is a popular method for connecting television and video equipment. The SCART connector carries the video signal (in several formats) and audio.

Selected

Layer items that have been clicked on are said to be selected. Many operations only work on selected layer items. Selected layer items are drawn in dark blue.

See also: Focus, Unselected

SMPTE

SMPTE is an acronym for Society of Motion Picture and Television Engineers. A method of displaying time in the timecode. SMPTE can be displayed in non-drop or drop frame formats.

See also: SMPTE non-drop, SMPTE drop frame, Timecode

SMPTE non-drop

The time is presented in the form 0:00:00:00. This representation displays hours, minutes, seconds and frame number.

This format works well when dealing with source and destination video which has an integer number of frames per second. The format can also be used with the NTSC frame rate (29.97 frames per second), however users should be aware of the potential problems with time slipping when using this representation.

See also: SMPTE drop frame

SMPTE drop frame

The time is presented in the form 0:00:00:00. This representation displays hours, minutes, seconds and frame number.

This format is only available for the NTSC frame rate (29.97 frames per second) and is used to avoid the time slipping problems associated with the SMPTE non-drop timecode.

See also: SMPTE non-drop

Stereo (Audio)

Two channels of audio, separated in to left and right channels.

See also: Mono

S-Video

A method of sending video down a multi-wire cable. S-Video sends the colour and brightness signals separately down the cable, which leads to a better picture quality than composite video or UHF.

See also: Composite Video, UHF


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / T

Timecode

The method of showing time. EditStudio supports time, SMPTE (non-drop) and SMPTE (drop-frame).

See also: SMPTE

Time Slip (NTSC timecode)

When using the SMPTE non-drop timecode with the NTSC frame rate of 29.97 frames per second, the displayed timecode will differ from "real" time as time advances. This is due to the fact that there are only 29.97 frames per second in NTSC and not 30 as used by the non-drop timecode. The difference between timecode time and real time is time slip.

Tooltip

A tooltip is a small popup window that described the item below the mouse pointer.

Topping

A method of adding a video effect or audio filter to a layer item by applying it direct to the item, rather than adding the effect / filter to a layer above the item.

Type-1 / Type-2 DV File

DV files can be either Type-1 or Type-2 AVI files. A Type-1 AVI file contains just the raw DV video and audio information. A Type-2 AVI file contains the raw DV video and audio information, along with a separate audio track which is a copy of the DV audio.

Most programs which use AVI files expect a separate audio track, and so Type-2 DV files are compatible with a wider range of software than Type-1 files. Type-1 files tend to be slightly smaller (around 5% smaller) than their corresponding Type-2 file, as they don't contain this extra audio track.


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / U

UHF

UHF is an acronym for Ultra High Frequency. UHF is usually referred to as the "aerial" connector on the back of TVs and video recorders.

See also: Composite Video, S-Video

Unselected

Layer items that have not been clicked on are said to be unselected. Unselected media file layer items are drawn in light blue, unselected video effects and audio filters are drawn in light green.

See also: Focus, Selected

USB

USB is an acronym for Universal Serial Bus. A very fast interface to the PC used for connecting a wide range of peripherals (printers, keyboards, web cams, etc...).


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / V

<No entries>


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / W

WAV

Popular audio file format on the Windows operating system.

See also: MP3.


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / X

XML

File format, based on a similar format to HTML (the Web page format). XML files are text based and are easy to edit or read in a normal text editor or word processor. XML files are easily portable between operating systems and are well suited to forward and backwards compatibility between different versions of a software program. EditStudio use XML in its .eds project files.


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / Y

<No entries>


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / Z

<No entries>